Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs | Functions
mfdefs.h File Reference
`#include "oldlist.h"`
`#include "matchdefs.h"`
`#include "xform2d.h"`

Go to the source code of this file.

## Macros

#define | MFSIZE 6
#define | XPOSITION 0
#define | YPOSITION 1
#define | MFLENGTH 2
#define | ORIENTATION 3
#define | FIRSTBULGE 4
#define | SECONDBULGE 5
#define | NextFeatureOf(L) ( (MICROFEATURE) first_node ( L ) )

## Typedefs

typedef LIST | MICROFEATURES
typedef FLOAT32 | MFBLOCK [MFSIZE]
typedef FLOAT32 * | MICROFEATURE

## Functions

MICROFEATURE | NewMicroFeature ()
void | FreeMicroFeatures (MICROFEATURES MicroFeatures)

## Macro Definition Documentation

#define FIRSTBULGE 4

Definition at line 41 of file mfdefs.h.

#define MFLENGTH 2

Definition at line 39 of file mfdefs.h.

#define MFSIZE 6

Definition at line 32 of file mfdefs.h.

#define NextFeatureOf | ( |  | L | ) | ( (MICROFEATURE) first_node ( L ) )

Macros —————————————————————————-

Definition at line 49 of file mfdefs.h.

#define ORIENTATION 3

Definition at line 40 of file mfdefs.h.

#define SECONDBULGE 5

Definition at line 42 of file mfdefs.h.

#define XPOSITION 0

Definition at line 37 of file mfdefs.h.

#define YPOSITION 1

Definition at line 38 of file mfdefs.h.

## Typedef Documentation

typedef FLOAT32 MFBLOCK[MFSIZE]

Definition at line 33 of file mfdefs.h.

typedef FLOAT32* MICROFEATURE

Definition at line 34 of file mfdefs.h.

typedef LIST MICROFEATURES

Include Files and Type Defines —————————————————————————-

Definition at line 29 of file mfdefs.h.

## Function Documentation

void FreeMicroFeatures | ( | MICROFEATURES | MicroFeatures | ) |

Definition at line 45 of file mfdefs.cpp.

{
/*
** Parameters:
** MicroFeatures list of micro-features to be freed
** Globals: none
** Operation:
** This routine deallocates all of the memory consumed by
** a list of micro-features.
** Return: none
** Exceptions: none
** History: 7/27/89, DSJ, Created.
*/
destroy_nodes(MicroFeatures, Efree);
} /* FreeMicroFeatures */

MICROFEATURE NewMicroFeature | ( |  | ) |

Public Function Prototypes —————————————————————————-

Include Files and Type Defines —————————————————————————- ---------------------------------------------------------------------------- Public Code —————————————————————————-

Definition at line 29 of file mfdefs.cpp.

{
/*
** Parameters: none
** Globals: none
** Operation:
** This routine allocates and returns a new micro-feature
** data structure.
** Return: New micro-feature.
** Exceptions: none
** History: 7/27/89, DSJ, Created.
*/
return ((MICROFEATURE) Emalloc (sizeof (MFBLOCK)));
} /* NewMicroFeature */